regina::boost::noncopyable Class Reference
Utilities

A base class that guarantees that derived classes cannot be copied. More...

`#include <utilities/boostutils.h>`

Inheritance diagram for regina::boost::noncopyable:

## Protected Member Functions

| noncopyable ()
| A constructor which does nothing. More...
| ~noncopyable ()
| A destructor which does nothing. More...

## Detailed Description

A base class that guarantees that derived classes cannot be copied.

This is done by defining a private copy constructor and a private copy assignment operator.

Python:
  Not present.

Author
  This class was taken and modified from the Boost C++ libraries (`http://www.boost.org/`).

## Constructor & Destructor Documentation

regina::boost::noncopyable::noncopyable | ( |  | ) |

inline protected

A constructor which does nothing.

regina::boost::noncopyable::~noncopyable | ( |  | ) |

inline protected

A destructor which does nothing.

The documentation for this class was generated from the following file:

- utilities/boostutils.h

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).